use crate::shutdown::Shutdown;
use std::sync::Arc;
use tokio::sync::RwLock;

pub(crate) struct Listener {
   pub(crate) shutdown: Shutdown,
   pub(crate) source: String,
   pub(crate) targets: Arc<RwLock<Vec<String>>>,
}
